﻿using System;

namespace DrillThroughReportViewer
{
    partial class DataSetRelatorio
    {
        public static DataSetRelatorio GerarExemplo()
        {
            var retorno = new DataSetRelatorio();
            var c1 = retorno.Cliente.AddClienteRow("Cliente 1");
            var c2 = retorno.Cliente.AddClienteRow("Cliente 2");
            var c3 = retorno.Cliente.AddClienteRow("Cliente 3");
            retorno.Fornecedor.AddFornecedorRow("Fornecedor 1");
            retorno.Fornecedor.AddFornecedorRow("Fornecedor 2");
            retorno.Fornecedor.AddFornecedorRow("Fornecedor 3");
            retorno.Transacao.AddTransacaoRow(c1, DateTime.Now, 100);
            retorno.Transacao.AddTransacaoRow(c1, DateTime.Now.AddDays(10), 100);
            retorno.Transacao.AddTransacaoRow(c2, DateTime.Now, 200);
            retorno.Transacao.AddTransacaoRow(c3, DateTime.Now, 300);
            return retorno;
        }
    }
}
