﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DrillThroughReportViewer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private DataSetRelatorio ds = DataSetRelatorio.GerarExemplo();

        private void Form1_Load(object sender, EventArgs e)
        {
            this.reportViewer1.LocalReport.DataSources.Clear();
            this.reportViewer1.LocalReport.DataSources.Add(new Microsoft.Reporting.WinForms.ReportDataSource("DataSetRelatorio", (DataTable)ds.Cliente));
            this.reportViewer1.RefreshReport();
        }

        private void reportViewer1_Drillthrough(object sender, Microsoft.Reporting.WinForms.DrillthroughEventArgs e)
        {
            var localReport = (Microsoft.Reporting.WinForms.LocalReport)e.Report;
            localReport.DataSources.Clear();

            if (e.ReportPath.Contains("RelatorioFornecedor"))
            {
                localReport.DataSources.Add(new Microsoft.Reporting.WinForms.ReportDataSource("DataSetRelatorio", (DataTable)ds.Fornecedor));
            }
            else if (e.ReportPath.Contains("RelatorioTransacao"))
            {
                localReport.DataSources.Add(new Microsoft.Reporting.WinForms.ReportDataSource("DataSetRelatorio", (DataTable)ds.Transacao));
            }
        }
    }
}
